[josm-plugins] 192/369: debian/webkit-image-*.{postinst, prerm} added: handle "webkit-image" alternative

Bas Couwenberg sebastic at xs4all.nl
Sat Oct 18 12:03:41 UTC 2014


This is an automated email from the git hooks/post-receive script.

sebastic-guest pushed a commit to branch master
in repository josm-plugins.

commit 4a77a7ee525bc4cece97f8a3ab11317570a2ca50
Author: David Paleino <dapal at debian.org>
Date:   Thu Oct 14 11:55:33 2010 +0200

    debian/webkit-image-*.{postinst,prerm} added: handle "webkit-image" alternative
---
 debian/changelog                 |  4 +++-
 debian/webkit-image-gtk.postinst | 28 ++++++++++++++++++++++++++++
 debian/webkit-image-gtk.prerm    | 23 +++++++++++++++++++++++
 debian/webkit-image-qt.postinst  | 28 ++++++++++++++++++++++++++++
 debian/webkit-image-qt.prerm     | 23 +++++++++++++++++++++++
 5 files changed, 105 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 099b512..4c310d6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,8 +5,10 @@ josm-plugins (0.0.svn23479-2) UNRELEASED; urgency=low
   * debian/webkit-image-gtk.1, debian/webkit-image-gtk.manpages,
     debian/webkit-image-qt.1, debian/webkit-image-qt.manpages added:
     manpages written (Closes: #600093)
+  * debian/webkit-image-*.{postinst,prerm} added: handle "webkit-image"
+    alternative
 
- -- David Paleino <dapal at debian.org>  Thu, 14 Oct 2010 10:21:04 +0200
+ -- David Paleino <dapal at debian.org>  Thu, 14 Oct 2010 11:43:30 +0200
 
 josm-plugins (0.0.svn23479-1) unstable; urgency=low
 
diff --git a/debian/webkit-image-gtk.postinst b/debian/webkit-image-gtk.postinst
new file mode 100644
index 0000000..92cfd97
--- /dev/null
+++ b/debian/webkit-image-gtk.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+# postinst script for webkit-image-gtk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+mandir=/usr/share/man
+
+case "$1" in
+    configure)
+        if [ -f /usr/bin/webkit-image-gtk ]; then
+            update-alternatives --install /usr/bin/webkit-image \
+                webkit-image /usr/bin/webkit-image-gtk 100 \
+                --slave $mandir/man1/webkit-image.1.gz webkit-image.1.gz \
+                $mandir/man1/webkit-image-gtk.1.gz
+        fi
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/webkit-image-gtk.prerm b/debian/webkit-image-gtk.prerm
new file mode 100644
index 0000000..881ebee
--- /dev/null
+++ b/debian/webkit-image-gtk.prerm
@@ -0,0 +1,23 @@
+#!/bin/sh
+# prerm script for webkit-image-gtk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+        if [ -f /usr/bin/webkit-image-gtk ]; then
+            update-alternatives --remove webkit-image /usr/bin/webkit-image-gtk
+        fi
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/webkit-image-qt.postinst b/debian/webkit-image-qt.postinst
new file mode 100644
index 0000000..30553a1
--- /dev/null
+++ b/debian/webkit-image-qt.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+# postinst script for webkit-image-qt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+mandir=/usr/share/man
+
+case "$1" in
+    configure)
+        if [ -f /usr/bin/webkit-image-qt ]; then
+            update-alternatives --install /usr/bin/webkit-image \
+                webkit-image /usr/bin/webkit-image-qt 100 \
+                --slave $mandir/man1/webkit-image.1.gz webkit-image.1.gz \
+                $mandir/man1/webkit-image-qt.1.gz
+        fi
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/webkit-image-qt.prerm b/debian/webkit-image-qt.prerm
new file mode 100644
index 0000000..af06075
--- /dev/null
+++ b/debian/webkit-image-qt.prerm
@@ -0,0 +1,23 @@
+#!/bin/sh
+# prerm script for webkit-image-qt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+        if [ -f /usr/bin/webkit-image-qt ]; then
+            update-alternatives --remove webkit-image /usr/bin/webkit-image-qt
+        fi
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/josm-plugins.git



More information about the Pkg-grass-devel mailing list